Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.util
Class IDEUtil

    java.lang.Object
      ix.iview.util.IDEUtil

All Implemented Interfaces:
  IDESymbols

    public class IDEUtil

extends java.lang.Object
implements IDESymbols

Class for useful static methods for IDE.

Field Summary

Fields inherited from interface ix.iview.IDESymbols
`C_ALL, C_CONDITIONS_ONLY, C_CONDITIONS_OTHER, C_NONE, C_ORDER_CONDITIONS, C_ORDER_ONLY, C_ORDER_OTHER, C_OTHER_ONLY, MODE_ADVANCED, MODE_SIMPLE, VIEW_COMPREHENSIVE, VIEW_GRAPHICAL, VIEW_MINIMAL, VIEWS`

Constructor Summary
`IDEUtil()`

Method Summary
`static int` | `constPrefToInt(Symbol pref)`
`static java.lang.String` | `constPrefToString(int pref)`
`static Symbol` | `constPrefToSymbol(int pref)`
`static Symbol` | `constPrefToSymbol(java.lang.String pref)`
`static int` | `makeConstPrefInt(boolean order, boolean condEff, boolean other)`
`static Symbol` | `makeConstPrefSymbol(boolean order, boolean condEff, boolean other)`
`static boolean` | `showConditions(int pref)`
`static boolean` | `showConditions(Symbol preference)`
`static boolean` | `showConstraints(java.lang.String which, int pref)`
`static boolean` | `showConstraints(java.lang.String which, java.lang.String pref)`
`static boolean` | `showConstraints(java.lang.String which, Symbol pref)`
`static boolean` | `showOrder(int pref)`
`static boolean` | `showOrder(Symbol preference)`
`static boolean` | `showOther(int pref)`
`static boolean` | `showOther(Symbol preference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDEUtil

    public IDEUtil()

Method Detail

### constPrefToSymbol

    public static Symbol constPrefToSymbol(java.lang.String pref)

### constPrefToSymbol

    public static Symbol constPrefToSymbol(int pref)

### constPrefToString

    public static java.lang.String constPrefToString(int pref)

### constPrefToInt

    public static int constPrefToInt(Symbol pref)

### makeConstPrefInt

    public static int makeConstPrefInt(boolean order,
                                       boolean condEff,
                                       boolean other)

### makeConstPrefSymbol

    public static Symbol makeConstPrefSymbol(boolean order,
                                             boolean condEff,
                                             boolean other)

### showOrder

    public static boolean showOrder(int pref)

### showOther

    public static boolean showOther(int pref)

### showConditions

    public static boolean showConditions(int pref)

### showOrder

    public static boolean showOrder(Symbol preference)

### showOther

    public static boolean showOther(Symbol preference)

### showConditions

    public static boolean showConditions(Symbol preference)

### showConstraints

    public static boolean showConstraints(java.lang.String which,
                                          java.lang.String pref)

### showConstraints

    public static boolean showConstraints(java.lang.String which,
                                          Symbol pref)

### showConstraints

    public static boolean showConstraints(java.lang.String which,
                                          int pref)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD